<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFACD"
    android:gravity="center"
    android:orientation="vertical">

    <GridLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/AllGridLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:columnCount="5"
        android:orientation="horizontal"
        android:rowCount="11">

        <CheckBox
            android:id="@+id/touchkey"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Touch_Key"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:layout_column="2"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="        " />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Key_Area(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/keyarea"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="1"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Key 1(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/key1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="2"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="Key 2(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/key2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_row="3"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Key 3(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/key3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="4"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="Key 4(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/key4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_row="5"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="6"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Key_Touch_Level(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/keytouchlevel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="6"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Key_Leave_Level(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/keyleavelevel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="7"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Key_Sens1~2(H)"
            android:textColor="#000000"
            android:textSize="22dp" />

        <EditText
            android:id="@+id/keysens1and2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Key_Sens3~4(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/keysens3and4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="9"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Key_Restrain(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/keyrestrain"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Key_Restrain_Time(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/keyrestraintime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

    </GridLayout>

</LinearLayout>